> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# الثيران مقابل الدببة

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "bulls_say_bears_say": [
      {
        "bear_case": "يُبرز التحليل انخفاضًا بنسبة 3.6% على أساس سنوي في المبيعات من الصين، مما يثير مخاوف بشأن أداء السوق في منطقة رئيسية. بالإضافة إلى ذلك، ورغم أن هوامش الربح الإجمالية ما زالت مستقرة عند حوالي 47% على أساس سنوي، فإن ارتفاع المصروفات التشغيلية يشكّل خطرًا على الربحية. علاوة على ذلك، فإن احتمال تباطؤ نمو مبيعات iPhone وإمكانية تراجع سمعة Apple قد يفرض ضغطًا هبوطيًا على تقييم الشركة، مما يؤدي إلى زيادة القلق بين المستثمرين.",
        "bull_case": "ارتفعت مبيعات Apple في الربع الرابع بنسبة 8% إلى 102.5 مليار دولار، بما يتماشى تقريبًا مع التقديرات ويدعم توقع نمو إجمالي المبيعات من 10% إلى 12% في الربع القادم، مدفوعًا أساسًا بالأداء القوي في مبيعات iPhone. كما أعلنت الشركة عن دخل تشغيلي قدره 32.4 مليار دولار، بما يعكس زيادة بنسبة 10% على أساس سنوي، ونموًا في إيرادات الخدمات بنسبة 15%، ما يساهم بشكل إيجابي في ديناميكيات هامش الربح الإجمالي. بالإضافة إلى ذلك، ومع النمو المتوقع في منطقة الصين والاستثمارات الاستراتيجية في الذكاء الاصطناعي وتطوير المنتجات، تتموضع Apple لتحقيق نمو مستدام طويل الأجل رغم ارتفاع النفقات التشغيلية.",
        "id": "6951d73e304f6ecd69d00189",
        "securities": [
          {
            "cik": "0000320193",
            "exchange": "NASDAQ Global Select Consolidated",
            "isin": "US0378331005",
            "name": "APPLE INC",
            "symbol": "AAPL"
          }
        ],
        "ticker": "AAPL",
        "updated": 1766971198
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "رمز مصادقة غير صالح أو مفقود"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "لم يتم العثور على بيانات للمعاملات المحددة"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "حدث خطأ غير متوقع أثناء معالجة طلبك"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/calendar-api.spec.yml GET /api/v1/bulls_bears_say
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/bulls_bears_say:
    get:
      tags:
        - Bulls Say Bears Say
      summary: أحدث السيناريوهات الصعودية والهبوطية لرمز تداول محدّد
      description: >-
        يعيد أحدث الأطروحات الاستثمارية الصعودية والهبوطية لسهم معيّن بناءً على
        رمز التداول الخاص به. تعرض الأطروحات الصعودية مبررات إيجابية لشراء
        السهم، بينما تعرض الأطروحات الهبوطية مبررات سلبية لعدم شرائه.
      operationId: get-bulls-say-bears-say-v1
      parameters:
        - description: رمز تداول السهم المراد الاستعلام عن حالات السوق الصاعدة/الهابطة له
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية، يتم
            تقييد قيم إزاحة الصفحة بين 0 و100000. حَدِّد نتائج الاستعلام
            باستخدام معلمات أخرى مثل التاريخ. القيمة الافتراضية هي 0.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج التي ستُرجَع، بحد أقصى 200
          in: query
          name: pagesize
          schema:
            type: integer
            maximum: 200
            default: 100
        - description: >-
            الطابع الزمني (Unix timestamp) لآخر تحديث للسجلات بتوقيت UTC.
            سيُجبِر هذا ترتيب الفرز على أن يكون أكبر من أو يساوي الطابع الزمني
            المُشار إليه
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: مصفوفة بالحالات الصعودية والهبوطية لرمز التداول المطلوب
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BullsSayBearsSayResponse'
        '400':
          description: الطلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '401':
          description: معلومات المصادقة مفقودة أو غير صالحة
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '404':
          description: لم يتم العثور على سيناريو صعودي/هبوطي لرمز التداول المُقدَّم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.BullsSayBearsSayResponse:
      description: >-
        استجابة واجهة برمجة التطبيقات API التي تتضمن مصفوفة سجلات لـ Bulls Say
        Bears Say
      properties:
        bulls-say-bears-say:
          items:
            $ref: '#/components/schemas/calendarapi.BullsSayBearsSay'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.BullsSayBearsSay:
      properties:
        analyst_firms_referenced:
          example: 12
          type: integer
        bear_case:
          example: Market saturation and competitive pressures
          type: string
        bull_case:
          example: Strong product pipeline and ecosystem lock-in effect
          type: string
        created:
          example: 1704819000
          type: integer
        exchange:
          example: NASDAQ
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5c0
          type: string
        latest:
          example: true
          type: boolean
        securities:
          items:
            properties:
              cik:
                example: '320193'
                type: string
              exchange:
                example: NASDAQ
                type: string
              isin:
                example: US0378331005
                type: string
              name:
                example: Apple Inc.
                type: string
              symbol:
                example: AAPL
                type: string
            type: object
          type: array
        ticker:
          example: AAPL
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````